/**
 * Theme Name: Blue Bear Records
 * Template:   storefront
 * ...other header fields
 */

@import url('https://fonts.googleapis.com/css2?family=Special+Elite&display=swap');

/* COMMON */
body {
    background-color: white;
}

a:focus {
    outline: none;
}

a {
	color: black;
}

* {
	font-family: "Special Elite", system-ui !important;
}

/* HEADER */
img.custom-logo {
	max-width: 125px !important;
}

nav#site-navigation {
	margin-top: -80px !important;
	border-bottom: 1px solid black;
	width: 100%;
}

header.site-header {
	font-family: "Special Elite", system-ui !important;
	padding: 0 !important;
	margin-bottom: 10px !important;
}
/*
header.site-header div.site-search {
	display: none;
}
*/
header.site-header a {
	font-size: 1.0em !important;
}

div.primary-navigation {
	padding-left: 180px !important;
	width: 100%;
	height: 60px !important;
	margin-bottom: 0 !important;
}

ul.site-header-cart {
	margin-top: -80px !important;
}

ul.menu-wrapper {
	justify-content: center !important;
}

ul.menu-wrapper li {
	padding-right: 35px;
	padding-left: 35px;
}

header.entry-header {
	display: none !important;
}

div.header-social-icons {
	padding-top: 10px;
}

/* CONTENT */
div.pagination {
	display: none;
}

div.site-content main {
	margin-bottom: 0;
	padding-bottom: 0;
}

span.posted-on, span.post-author {
	display: none;
}

/* FOOTER */


footer.site-footer, footer.entry-footer {
	display: none;
}

aside.widget-area {
	display: none;
}

aside.entry-taxonomy {
	display: none;
}

/* HOME */
body.home .wp-block-latest-posts__post-date {
    color: gray;
}

body.home .wp-block-latest-posts__post-title {
    margin-bottom: 0;
	font-size: 1.3em !important;
	text-decoration: none;
	pointer-events: none;
}

body.home .wp-block-latest-posts__list {
	margin-left: 0 !important;
}

body.home header.entry-header {
    margin-bottom: 1em;
    border-bottom: 1px dashed #a6a2a1;
}

body.home article.post {
    margin-bottom: 0;
}


/* SHOP */
div.storefront-breadcrumb {
	display: none;
}

div.woocommerce-tabs {
	display: none;
}

header.woocommerce-products-header {
	display: none;
}

section.related {
	display: none;
}

nav.storefront-product-pagination {
	display: none;
}

div#secondary {
	text-align: center;
}

div#secondary div.widget {
	margin-bottom: 10px;
}

div.storefront-sorting {
	display: none;
}

div.product_meta {
	display: none;
}

body.single-product h1 {
	font-size: 1.4em;
}

div.wc-block-components-product-metadata {
	display: none !important;
}

div.wc-block-checkout {
	margin-top: -40px !important;
}

div.wc-block-components-express-payment {
	display: none !important;
}

div.ppc-button-wrapper, div.wc-block-components-express-payment-continue-rule {
	display: none !important;
}

/* ARTISTS */
article.category-artist div.entry-content {
	display: grid;
	grid-template-columns: 1fr 1fr; /* 50/50 split */
	gap: 20px; /* Space between columns */	
}

article.category-artist img.wp-post-image {
	grid-column: 1; /* Span all rows */
	max-width: 100%;
	height: auto;
}

article.category-artist div.artist-content {
	grid-column: 2;
}

body.single-post nav.post-navigation {
	display: none !important;
}

body.single-post div.content-area {
	width: 100%;
	display: block;
}

body.single-post div#secondary {
	display:none !important;
}

/* CONTACT */
article#post-29 .wp-block-column {
	margin-right: 0 !important;
}

article#post-29 .bluebear-contact-image figure {
	margin-top: -20px !important;
}

@media (max-width: 767px) {
	ul.wp-block-social-links {
		display: none;
	}

	/* Make the handheld navigation fixed */
    .site-header .handheld-navigation {
        position: fixed;
        top: 50px;
        right: 0;
        width: 30%;
		padding-right: 40px;
        z-index: 9999;
        background: #fff; /* Adjust background color as needed */
		text-align: right !important;
    }

    /* Prevent content from shifting when menu is open */
    body.handheld-navigation-opened {
        overflow: hidden;
    }

	/* MAIN */
	body.home .wp-block-latest-posts__featured-image {
		display: none;
	}
	
	/* ARTIST */
	article.category-artist div.artist-content {
		display: block !important;
		width: 100% !important;
	}
	
	article.category-artist div.entry-content {
		display: block !important;
	}
	
	/* CONTACT */
	div.bluebear-contact-image {
		display: none !important;
	}
	
	p.bluebear-contact-paragraph, h2.bluebear-contact-heading {
		text-align: center !important; 
	}
	

}

@media (max-width: 600px) {
	body {
		font-size: 0.8em !important;
	}
	
	h1 {
		font-size: 1.4em !important;
	}
	
	h2, h4 {
		font-size: 1.2em !important;
	}

	h3, h6 {
		font-size: 1.1em !important;
	}

	/* HEADER */
	header.entry-header {
		display: block !important;
	}

	header.site-header {
		font-family: "Special Elite", system-ui !important;
		padding: 0 !important;
		border: none;
		margin: 0;
	}
	
	h1.entry-title {
		text-align: center;
	}

	nav#site-navigation {
		margin-top: 0 !important;
		border-bottom: none;
		width: 100%;
	}

	div.primary-navigation {
		padding-left: 0 !important;
		margin-top: 0 !important;
		width: 100%;
	}
	
	nav.toggled {
		margin-bottom: 60px;
	}

	.site-header .handheld-navigation {
        width: 60%;
		padding-right: 20px;
    }
	
	/* FOOTER */
	footer.site-footer {
		display: block;
	}
	
	footer.site-footer .site-info {
		display: none;
	}
	
	.storefront-handheld-footer-bar {
		border-top: 1px solid black !important;
		box-shadow: none !important;
	}
	
	div.storefront-handheld-footer-bar .my-account, div.storefront-handheld-footer-bar .search {
		display: none;
	}

	div.storefront-handheld-footer-bar .my-account, li.cart {
		width: 100% !important;
	}

	/* SHOP */
	header.woocommerce-products-header {
		display: block !important;
		text-align: center !important;
	}
	
	div.widget-area {
		display: none !important;
	}

	
	body.single-post header.entry-header {
		display: none !important;
	}
	
	div.wp-block-woocommerce-checkout-order-summary-block {
		margin-top: 60px !important;
	}
	
}

